> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toffeepay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Disputes



## OpenAPI

````yaml GET /v1/disputes
openapi: 3.1.0
info:
  title: ToffeePay API
  description: Public API for game partners
  version: 0.1.1
servers:
  - url: https://api.toffeepay.com
    description: Production
  - url: https://api.sandbox.toffeepay.com
    description: Sandbox
security:
  - BearerAuth: []
paths:
  /v1/disputes:
    get:
      summary: ListDisputes
      operationId: DisputeService_ListDisputes
      parameters:
        - name: payment_id
          in: query
          schema:
            type: string
            title: payment_id
        - name: limit
          in: query
          description: 'default: 100'
          schema:
            exclusiveMinimum: 0
            type: integer
            title: limit
            maximum: 250
            format: int32
        - name: offset
          in: query
          schema:
            type: integer
            title: offset
            minimum: 0
            format: int32
        - name: from
          in: query
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/pay.v1.Dispute'
                title: disputes
components:
  schemas:
    pay.v1.Dispute:
      type: object
      properties:
        id:
          type: string
          title: id
        payment_id:
          type:
            - string
            - 'null'
          title: payment_id
        reason:
          type: string
          title: reason
        amount:
          type: integer
          title: amount
          format: int32
        currency:
          type: string
          title: currency
          enum:
            - USD
            - GBP
            - EUR
        created_at:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: created_at
      title: Dispute
      required:
        - id
        - reason
        - amount
        - currency
        - created_at
      additionalProperties: false
    google.protobuf.Timestamp:
      type: string
      format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````